#include<bits/stdc++.h>
using namespace std;

int main(){
    int n, k, x;
    cin >> n >> k;
    int a[n];
    for(int i=0;i<n;i++){
        cin >> a[i];
        if(a[i]==k){
            x=i;
        }
    }
    if(x==n-1) cout << a[0];
    else cout << a[x+1];
    return 0;
}